Subject: Re: [RFC/PATCH] fail pull/merge early in the middle of conflicted merge

From: "Shawn O. Pearce" <[email-masked]>
Date: Mon, 1 Jan 2007 15:43:54 -0500

Junio C Hamano <[email-masked]> wrote:
> After a pull that results in a conflicted merge, a new user
> often tries another "git pull" in desperation.  When the index
> is unmerged, merge backends correctly bail out without touching
> either index nor the working tree, so this does not make the
> wound any worse.

I've seen this many times too.  I don't understand why users cannot
read output messages and realize the current command failed, but
they don't.  *sigh*
 
> Old timers may know better and would not to try pulling again
> before cleaning things up; this change adds extra overhead that
> is unnecessary for them.  But this would be worth paying for to
> save new people from needless confusion.

This penalty isn't very high though; its just a single pass through
the index to look for an unmerged entry.  I think that small
penalty is worth the better error message here, and that's the guy
who just submitted patches to remove other penalties in pull and
merge talking.  :-)

-- 
Shawn.